package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity
@Table(name="KomponenPenilaianDetail_t")
public class KomponenPenilaianDetail extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectperencanaanPulangFk")
	@Caption(value = "Object perencanaanPulang")
	private PerencanaanPulang perencanaanPulang;
	
	@Column(name = "ObjectperencanaanPulangFk", columnDefinition = "CHAR(32)", insertable = false, updatable = false,nullable=false)
	private String perencanaanPulangId;

	@ManyToOne
	@JoinColumn(name = "ObjectkomponenPenilaianFk")
	@Caption(value = "Object komponenPenilaian")
	private KomponenPenilaian komponenPenilaian;

	@Column(name = "ObjectkomponenPenilaianFk", insertable = false, updatable = false,nullable=true)
	private Integer komponenPenilaianId;

	@ManyToOne
	@JoinColumn(name = "ObjectstatusYaTidakFk")
	@Caption(value = "Object statusYaTidak")	
	private StatusYaTidak statusYaTidak;
	
	@Column(name = "ObjectstatusYaTidakFk", insertable = false, updatable = false,nullable=true)
	private Integer statusYaTidakId;

	@Column(name = "keterangan", nullable = false)
	@Caption(value = "keterangan")
	private String keterangan;
	
	public PerencanaanPulang getPerencanaanPulang() {
		return perencanaanPulang;
	}
	public void setPerencanaanPulang(PerencanaanPulang perencanaanPulang) {
		this.perencanaanPulang = perencanaanPulang;
	}
	public KomponenPenilaian getKomponenPenilaian() {
		return komponenPenilaian;
	}
	public void setKomponenPenilaian(KomponenPenilaian komponenPenilaian) {
		this.komponenPenilaian = komponenPenilaian;
	}
	public StatusYaTidak getStatusYaTidak() {
		return statusYaTidak;
	}
	public void setStatusYaTidak(StatusYaTidak statusYaTidak) {
		this.statusYaTidak = statusYaTidak;
	}
	public String getKeterangan() {
		return keterangan;
	}
	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	public String getPerencanaanPulangId() {
		return perencanaanPulangId;
	}
	public void setPerencanaanPulangId(String perencanaanPulangId) {
		this.perencanaanPulangId = perencanaanPulangId;
	}
	public Integer getKomponenPenilaianId() {
		return komponenPenilaianId;
	}
	public void setKomponenPenilaianId(Integer komponenPenilaianId) {
		this.komponenPenilaianId = komponenPenilaianId;
	}
	public Integer getStatusYaTidakId() {
		return statusYaTidakId;
	}
	public void setStatusYaTidakId(Integer statusYaTidakId) {
		this.statusYaTidakId = statusYaTidakId;
	}
	
}
